using System;

class Program
{
    static void Main()
    {
  
        string[] input = Console.ReadLine().Split();
        int N = int.Parse(input[0]); 
        int L = int.Parse(input[1]); 

        string[] heights = Console.ReadLine().Split();
        
  
        for (int i = 0; i < N; i++)
        {
            int H = int.Parse(heights[i]);
    
            if (H <= L)
            {

                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine(-1);
    }
}